<!DOCTYPE html>
<html xmlns:th="http://thymeLeaf.org">
<head>
    <meta charset="ISO-8859-1">
    <title>Registration</title>
    <link rel="stylesheet" type="text/css" href="../bootstrap.min.css">
</head>
<body>
<div class="container text-center">
    <h1>User Registration - Sign Up</h1>
</div>
<form th:action="@{/process_register}" method="post"
      style="max-width: 600px ; margin: 0 auto"
      th:object="${user}"
>
    <div class="container text-center , m-3s">
        <div class="form-group row">
            <label class="col-form-label col-4">E-mail</label>
            <div class="col-8">
                <input type="email" class="form-control" th:field="*{email}" required
                       min="6" maxlength="40"/>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-form-label col-4">Password</label>
            <div class="col-8">
                <input type="password" class="form-control" th:field="*{password}" required
                       min="6" maxlength="20"/>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-form-label col-4">First Name</label>
            <div class="col-8">
                <input type="tel" class="form-control" th:field="*{firstName}" required
                       min="2" maxlength="20"/>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-form-label col-4">Last Name</label>
            <div class="col-8">
                <input type="text" class="form-control" th:field="*{lastName}" required
                       min="2" maxlength="20"/>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-form-label col-4">Actual Date</label>
            <div class="col-8">
                <input type="datetime-local" class="form-control" th:field="*{actualDate}" required
                       min="2" maxlength="20"/>
            </div>
        </div>

        <div>
            <button type="submit" class="btn btn-primary">Sign Up</button>
        </div>

    </div>
</form>
</div>
</body>
</html>